version: "3"
services:
  groupPlatform:
    # 指定容器名称
    container_name: groupPlatform
    # 重启机制
    restart: always
    build:
      context: ./admin                 # 指定设定上下文根目录，然后以该目录为准寻找Dockerfile
      dockerfile: yaj-admin.dockerfile  #DockerFile 真正所在位置
    image: group-platform-server:1.0.0
    volumes:
      # 挂载日志 -v A:B ,A指宿主机位置，B指容器位置
      - /usr/local/youxianxin/service/log/groupPlatform:/logback
      # 指定容器时间为宿主机时间
      - /etc/localtime:/etc/localtime
    # 访问端口cd
    ports:
      - "8078:8078"
    #启动容器后执行的命令
    entrypoint: java -server -Xms256m -Xmx1024m -jar -Duser.timezone=GMT+8 -Dspring.profiles.active=prod admin.jar
